package jimenezcarlos.android.uoc.edu.camina;

import android.os.Bundle;
import android.webkit.WebView;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import jimenezcarlos.android.uoc.edu.menu.LateralMenu;

public class MetroMapActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_metro_map);

        Toolbar toolbar = findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        //Include the Lateral Menu
        LateralMenu.getDrawer(this,savedInstanceState, toolbar,7);

        //Load Barcelona Metro Map
        //Get the webview from the layout
        WebView webView = findViewById(R.id.webview);
        //Activate java script
        webView.getSettings().setJavaScriptEnabled(true);
        //And use Google Docs Viewer to read the BCN metro map pdf online
        String pdf = "https://www.tmb.cat/documents/20182/96078/Plànol+xarxa+de+Metro/f5578f40-5a66-46ba-907c-cf31e0d368c0";
        webView.loadUrl("https://drive.google.com/viewerng/viewer?embedded=true&url=" + pdf);
    }
}
