package jimenezcarlos.android.uoc.edu.rest.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class MonthlyStatistics implements Serializable {

    /**
     * No args constructor for use in serialization
     *
     */
    public MonthlyStatistics() {}

    @SerializedName("year")
    @Expose
    int mYear;
    @SerializedName("month")
    @Expose
    int mMonth;
    @SerializedName("skippedStations")
    @Expose
    private int mSkippedStations;
    @SerializedName("calories")
    @Expose
    private int mCalories;
    @SerializedName("distance")
    @Expose
    private int mDistance;
    @SerializedName("time")
    @Expose
    private int mTime;

    public MonthlyStatistics(int Year, int Month, int SkippedStations, int Calories, int Distance, int Time) {

        super();
        mYear = Year;
        mMonth = Month;
        mSkippedStations = SkippedStations;
        mCalories=Calories;
        mDistance=Distance;
        mTime=Time;
    }

    //Getters

    public int getYear () {return mYear;}
    public int getMonth () {return mMonth;}
    public int getSkippedStations () {return mSkippedStations;}
    public int getCalories () {return mCalories;}
    public int getDistance () {return mDistance;}
    public int getTime () {return mTime;}

    //Setters

    public void setYear (int Year) {mYear=Year;}
    public void setMonth (int Month) {mMonth=Month;}
    public void setSkippedStations (int SkippedStations) {mSkippedStations = SkippedStations;}
    public void setCalories (int Calories) {mCalories = Calories;}
    public void setDistance (int Distance) {mDistance = Distance;}
    public void setTime (int Time) {mTime = Time;}


}
