
package jimenezcarlos.android.uoc.edu.rest.model.TMBPlannerAPI;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class Point implements Serializable {

    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("lon")
    @Expose
    private Double lon;
    @SerializedName("lat")
    @Expose
    private Double lat;
    @SerializedName("orig")
    @Expose
    private String orig;
    @SerializedName("vertexType")
    @Expose
    private String vertexType;

    /**
     * No args constructor for use in serialization
     * 
     */
    public Point() {
    }

    /**
     * 
     * @param vertexType
     * @param orig
     * @param name
     * @param lon
     * @param lat
     */
    public Point(String name, Double lon, Double lat, String orig, String vertexType) {
        super();
        this.name = name;
        this.lon = lon;
        this.lat = lat;
        this.orig = orig;
        this.vertexType = vertexType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getLon() {
        return lon;
    }

    public void setLon(Double lon) {
        this.lon = lon;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public String getOrig() {
        return orig;
    }

    public void setOrig(String orig) {
        this.orig = orig;
    }

    public String getVertexType() {
        return vertexType;
    }

    public void setVertexType(String vertexType) {
        this.vertexType = vertexType;
    }

}
