
package jimenezcarlos.android.uoc.edu.rest.model.TMBPlannerAPI;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class TransitStop implements Serializable {

    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("stopId")
    @Expose
    private String stopId;
    @SerializedName("stopCode")
    @Expose
    private String stopCode;
    @SerializedName("lon")
    @Expose
    private Double lon;
    @SerializedName("lat")
    @Expose
    private Double lat;
    @SerializedName("arrival")
    @Expose
    private Integer arrival;
    @SerializedName("departure")
    @Expose
    private Integer departure;
    @SerializedName("stopIndex")
    @Expose
    private Integer stopIndex;
    @SerializedName("stopSequence")
    @Expose
    private Integer stopSequence;
    @SerializedName("vertexType")
    @Expose
    private String vertexType;

    /**
     * No args constructor for use in serialization
     * 
     */
    public TransitStop() {
    }

    /**
     * 
     * @param stopIndex
     * @param stopCode
     * @param vertexType
     * @param stopSequence
     * @param arrival
     * @param name
     * @param stopId
     * @param lon
     * @param departure
     * @param lat
     */
    public TransitStop(String name, String stopId, String stopCode, Double lon, Double lat, Integer arrival, Integer departure, Integer stopIndex, Integer stopSequence, String vertexType) {
        super();
        this.name = name;
        this.stopId = stopId;
        this.stopCode = stopCode;
        this.lon = lon;
        this.lat = lat;
        this.arrival = arrival;
        this.departure = departure;
        this.stopIndex = stopIndex;
        this.stopSequence = stopSequence;
        this.vertexType = vertexType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStopId() {
        return stopId;
    }

    public void setStopId(String stopId) {
        this.stopId = stopId;
    }

    public String getStopCode() {
        return stopCode;
    }

    public void setStopCode(String stopCode) {
        this.stopCode = stopCode;
    }

    public Double getLon() {
        return lon;
    }

    public void setLon(Double lon) {
        this.lon = lon;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Integer getArrival() {
        return arrival;
    }

    public void setArrival(Integer arrival) {
        this.arrival = arrival;
    }

    public Integer getDeparture() {
        return departure;
    }

    public void setDeparture(Integer departure) {
        this.departure = departure;
    }

    public Integer getStopIndex() {
        return stopIndex;
    }

    public void setStopIndex(Integer stopIndex) {
        this.stopIndex = stopIndex;
    }

    public Integer getStopSequence() {
        return stopSequence;
    }

    public void setStopSequence(Integer stopSequence) {
        this.stopSequence = stopSequence;
    }

    public String getVertexType() {
        return vertexType;
    }

    public void setVertexType(String vertexType) {
        this.vertexType = vertexType;
    }

}
