package jimenezcarlos.android.uoc.edu.rest.model.TMBTransitAPI;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class StationFeature {

    @SerializedName("type")
    @Expose
    private String type;
    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("geometry")
    @Expose
    private StationGeometry geometry;
    @SerializedName("geometry_name")
    @Expose
    private String geometryName;
    @SerializedName("properties")
    @Expose
    private StationProperties properties;

    /**
     * No args constructor for use in serialization
     *
     */
    public StationFeature() {
    }

    /**
     *
     * @param geometryName
     * @param geometry
     * @param id
     * @param type
     * @param properties
     */
    public StationFeature(String type, String id, StationGeometry geometry, String geometryName, StationProperties properties) {
        super();
        this.type = type;
        this.id = id;
        this.geometry = geometry;
        this.geometryName = geometryName;
        this.properties = properties;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public StationGeometry getGeometry() {
        return geometry;
    }

    public void setGeometry(StationGeometry geometry) {
        this.geometry = geometry;
    }

    public String getGeometryName() {
        return geometryName;
    }

    public void setGeometryName(String geometryName) {
        this.geometryName = geometryName;
    }

    public StationProperties getProperties() {
        return properties;
    }

    public void setProperties(StationProperties properties) {
        this.properties = properties;
    }

}