package jimenezcarlos.android.uoc.edu.util;


import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import jimenezcarlos.android.uoc.edu.camina.StatisticsDayFragment;
import jimenezcarlos.android.uoc.edu.camina.StatisticsTotalFragment;
import jimenezcarlos.android.uoc.edu.camina.StatisticsMonthFragment;

public class StatisticsPageAdapter extends FragmentPagerAdapter {

    private int numOfTabs;

    public StatisticsPageAdapter(FragmentManager fm, int numOfTabs) {
        super(fm);
        this.numOfTabs = numOfTabs;
    }

    @Override
    public Fragment getItem(int position) {
        switch (position) {
            case 0:
                return new StatisticsDayFragment();
            case 1:
                return new StatisticsMonthFragment();
            case 2:
                return new StatisticsTotalFragment();
            default:
                return null;
        }
    }

    @Override
    public int getCount() {
        return numOfTabs;
    }
}