package jimenezcarlos.android.uoc.edu.rest.constants;

public class ApiTMBConstants {


    // BASE URL
    public static final String BASE_TMB_URL = "https://api.tmb.cat/v1/";

    // END POINTS

    // In order for the App to run, it is necessary you must register in TMB developer platform and get a valid app_id and app_key
    // This is the website: https://developer.tmb.cat/docs/getting-started
    // Then substitute the values in the following strings

    public static final String TMB_ALL_METRO_STATIONS_ENDPOINT = "transit/linies/metro?app_id=YOUR_APP_ID&app_key=YOUR_APP_KEY";
    // This EndPoint has a replace block, {line_code}
    public static final String TMB_METRO_STATIONS_BY_LINE_ENDPOINT = "transit/linies/metro/{line_code}/estacions?app_id=YOUR_APP_ID&app_key=YOUR_APP_KEY";
    // This EndPoint does NOT have a replace block, so a @Query in TMBService is used instead
    public static final String TMB_PLANNER_ENDPOINT = "planner/plan?app_id=YOUR_APP_ID&app_key=YOUR_APP_KEY";




}


