package jimenezcarlos.android.uoc.edu.rest.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class CaminaUser implements Serializable {

    @SerializedName("userId")
    @Expose
    private String mUserId;
    @SerializedName("completeName")
    @Expose
    private String mCompleteName;
    @SerializedName("email")
    @Expose
    private String mEmail;
    @SerializedName("pictureUrl")
    @Expose
    private String mPictureUrl;
    @SerializedName("age")
    @Expose
    private int mAge;
    @SerializedName("genre")
    @Expose
    private String mGenre;
    @SerializedName("height")
    @Expose
    private int mHeight;
    @SerializedName("weight")
    @Expose
    private int mWeight;
    @SerializedName("city")
    @Expose
    private String mCity;
    @SerializedName("country")
    @Expose
    private String mCountry;
    @SerializedName("lastRoute")
    @Expose
    private Path mLastRoute;
    @SerializedName("totalSkippedStations")
    @Expose
    private int mTotalSkippedStations=0;
    @SerializedName("totalCalories")
    @Expose
    private int mTotalCalories=0;
    @SerializedName("totalDistance")
    @Expose
    private int mTotalDistance=0;
    @SerializedName("totalTime")
    @Expose
    private int mTotalTime=0;

    /**
     * No args constructor for use in serialization
     *
     */
    public void CaminaUser () {}

    public void setUserId (String UserId) { mUserId = UserId;}
    public void setCompleteName (String CompleteName) {mCompleteName=CompleteName;}
    public void setEmail (String Email) { mEmail = Email;}
    public void setPictureUrl (String PictureUrl) { mPictureUrl=PictureUrl;}
    public void setAge (int Age) {mAge=Age;}
    public void setGenre (String Genre) {mGenre=Genre;}
    public void setHeight (int Height) {mHeight=Height;}
    public void setWeight (int Weight) {mWeight=Weight;}
    public void setCity (String City) {mCity=City;}
    public void setCountry (String Country) {mCountry=Country;}
    public void setLastRoute (Path LastRoute) {mLastRoute=LastRoute;}
    public void setTotalSkippedStations (int TotalSkippedStations) {mTotalSkippedStations = TotalSkippedStations;}
    public void setTotalCalories (int TotalCalories) {mTotalCalories = TotalCalories;}
    public void setTotalDistance (int TotalDistance) {mTotalDistance = TotalDistance;}
    public void setTotalTime (int TotalTime) {mTotalTime = TotalTime;}


    public String getUserId () { return mUserId;}
    public String getCompleteName () {return mCompleteName;}
    public String getEmail () { return mEmail;}
    public String getPictureUrl() {return mPictureUrl;}
    public int getAge () {return mAge;}
    public String getGenre() { return mGenre;}
    public int getHeight() {return mHeight;}
    public int getWeight() {return mWeight;}
    public String getCity() { return mCity;}
    public String getCountry() {return mCountry;}
    public Path getLastRoute() {return mLastRoute;}
    public int getTotalSkippedStations () {return mTotalSkippedStations;}
    public int getTotalCalories () {return mTotalCalories;}
    public int getTotalDistance () {return mTotalDistance;}
    public int getTotalTime () {return mTotalTime;}



}
