package jimenezcarlos.android.uoc.edu.rest.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class Registry implements Serializable {

    /**
     * No args constructor for use in serialization
     *
     */
    public Registry() {}

    @SerializedName("skippedStations")
    @Expose
    private int mSkippedStations;
    @SerializedName("calories")
    @Expose
    private int mCalories;
    @SerializedName("distance")
    @Expose
    private int mDistance;
    @SerializedName("time")
    @Expose
    private int mTime;

    public Registry(int SkippedStations, int Calories, int Distance, int Time) {

        super();
        mSkippedStations = SkippedStations;
        mCalories=Calories;
        mDistance=Distance;
        mTime=Time;

    }
    //Getters
    public int getSkippedStations () {return mSkippedStations;}
    public int getCalories () {return mCalories;}
    public int getDistance () {return mDistance;}
    public int getTime () {return mTime;}

    //Setters
    public void setSkippedStations (int SkippedStations) {mSkippedStations = SkippedStations;}
    public void setCalories (int Calories) {mCalories = Calories;}
    public void setDistance (int Distance) {mDistance = Distance;}
    public void setTime (int Time) {mTime = Time;}


}
