
package jimenezcarlos.android.uoc.edu.rest.model.TMBPlannerAPI;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class LegGeometry implements Serializable {

    @SerializedName("points")
    @Expose
    private String points;
    @SerializedName("length")
    @Expose
    private Integer length;

    /**
     * No args constructor for use in serialization
     * 
     */
    public LegGeometry() {
    }

    /**
     * 
     * @param length
     * @param points
     */
    public LegGeometry(String points, Integer length) {
        super();
        this.points = points;
        this.length = length;
    }

    public String getPoints() {
        return points;
    }

    public void setPoints(String points) {
        this.points = points;
    }

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

}
