package jimenezcarlos.android.uoc.edu.rest.model.TMBTransitAPI;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class LineFeature {

    @SerializedName("type")
    @Expose
    private String type;
    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("geometry")
    @Expose
    private LineGeometry geometry;
    @SerializedName("geometry_name")
    @Expose
    private String geometryName;
    @SerializedName("properties")
    @Expose
    private LineProperties properties;

    /**
     * No args constructor for use in serialization
     *
     */
    public LineFeature() {
    }

    /**
     *
     * @param geometryName
     * @param geometry
     * @param id
     * @param type
     * @param properties
     */
    public LineFeature(String type, String id, LineGeometry geometry, String geometryName, LineProperties properties) {
        super();
        this.type = type;
        this.id = id;
        this.geometry = geometry;
        this.geometryName = geometryName;
        this.properties = properties;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public LineGeometry getGeometry() {
        return geometry;
    }

    public void setGeometry(LineGeometry geometry) {
        this.geometry = geometry;
    }

    public String getGeometryName() {
        return geometryName;
    }

    public void setGeometryName(String geometryName) {
        this.geometryName = geometryName;
    }

    public LineProperties getProperties() {
        return properties;
    }

    public void setProperties(LineProperties properties) {
        this.properties = properties;
    }

}

