package jimenezcarlos.android.uoc.edu.rest.model.TMBTransitAPI;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class LineProperties {

    @SerializedName("ID_LINIA")
    @Expose
    private Integer iDLINIA;
    @SerializedName("CODI_LINIA")
    @Expose
    private Integer cODILINIA;
    @SerializedName("NOM_LINIA")
    @Expose
    private String nOMLINIA;
    @SerializedName("DESC_LINIA")
    @Expose
    private String dESCLINIA;
    @SerializedName("ORIGEN_LINIA")
    @Expose
    private String oRIGENLINIA;
    @SerializedName("DESTI_LINIA")
    @Expose
    private String dESTILINIA;
    @SerializedName("NUM_PAQUETS")
    @Expose
    private Integer nUMPAQUETS;
    @SerializedName("ID_OPERADOR")
    @Expose
    private Integer iDOPERADOR;
    @SerializedName("NOM_OPERADOR")
    @Expose
    private String nOMOPERADOR;
    @SerializedName("NOM_TIPUS_TRANSPORT")
    @Expose
    private String nOMTIPUSTRANSPORT;
    @SerializedName("CODI_FAMILIA")
    @Expose
    private Integer cODIFAMILIA;
    @SerializedName("NOM_FAMILIA")
    @Expose
    private String nOMFAMILIA;
    @SerializedName("ORDRE_FAMILIA")
    @Expose
    private Integer oRDREFAMILIA;
    @SerializedName("ORDRE_LINIA")
    @Expose
    private Integer oRDRELINIA;
    @SerializedName("CODI_TIPUS_CALENDARI")
    @Expose
    private String cODITIPUSCALENDARI;
    @SerializedName("NOM_TIPUS_CALENDARI")
    @Expose
    private String nOMTIPUSCALENDARI;
    @SerializedName("DATA")
    @Expose
    private String dATA;
    @SerializedName("COLOR_LINIA")
    @Expose
    private String cOLORLINIA;
    @SerializedName("COLOR_AUX_LINIA")
    @Expose
    private String cOLORAUXLINIA;
    @SerializedName("COLOR_TEXT_LINIA")
    @Expose
    private String cOLORTEXTLINIA;

    /**
     * No args constructor for use in serialization
     *
     */
    public LineProperties() {
    }

    /**
     *
     * @param cODIFAMILIA
     * @param nOMTIPUSCALENDARI
     * @param nOMFAMILIA
     * @param dATA
     * @param cOLORTEXTLINIA
     * @param cODILINIA
     * @param iDLINIA
     * @param cODITIPUSCALENDARI
     * @param dESCLINIA
     * @param cOLORLINIA
     * @param dESTILINIA
     * @param iDOPERADOR
     * @param nOMOPERADOR
     * @param nUMPAQUETS
     * @param oRDRELINIA
     * @param nOMLINIA
     * @param cOLORAUXLINIA
     * @param nOMTIPUSTRANSPORT
     * @param oRDREFAMILIA
     * @param oRIGENLINIA
     */
    public LineProperties(Integer iDLINIA, Integer cODILINIA, String nOMLINIA, String dESCLINIA, String oRIGENLINIA, String dESTILINIA, Integer nUMPAQUETS, Integer iDOPERADOR, String nOMOPERADOR, String nOMTIPUSTRANSPORT, Integer cODIFAMILIA, String nOMFAMILIA, Integer oRDREFAMILIA, Integer oRDRELINIA, String cODITIPUSCALENDARI, String nOMTIPUSCALENDARI, String dATA, String cOLORLINIA, String cOLORAUXLINIA, String cOLORTEXTLINIA) {
        super();
        this.iDLINIA = iDLINIA;
        this.cODILINIA = cODILINIA;
        this.nOMLINIA = nOMLINIA;
        this.dESCLINIA = dESCLINIA;
        this.oRIGENLINIA = oRIGENLINIA;
        this.dESTILINIA = dESTILINIA;
        this.nUMPAQUETS = nUMPAQUETS;
        this.iDOPERADOR = iDOPERADOR;
        this.nOMOPERADOR = nOMOPERADOR;
        this.nOMTIPUSTRANSPORT = nOMTIPUSTRANSPORT;
        this.cODIFAMILIA = cODIFAMILIA;
        this.nOMFAMILIA = nOMFAMILIA;
        this.oRDREFAMILIA = oRDREFAMILIA;
        this.oRDRELINIA = oRDRELINIA;
        this.cODITIPUSCALENDARI = cODITIPUSCALENDARI;
        this.nOMTIPUSCALENDARI = nOMTIPUSCALENDARI;
        this.dATA = dATA;
        this.cOLORLINIA = cOLORLINIA;
        this.cOLORAUXLINIA = cOLORAUXLINIA;
        this.cOLORTEXTLINIA = cOLORTEXTLINIA;
    }

    public Integer getIDLINIA() {
        return iDLINIA;
    }

    public void setIDLINIA(Integer iDLINIA) {
        this.iDLINIA = iDLINIA;
    }

    public Integer getCODILINIA() {
        return cODILINIA;
    }

    public void setCODILINIA(Integer cODILINIA) {
        this.cODILINIA = cODILINIA;
    }

    public String getNOMLINIA() {
        return nOMLINIA;
    }

    public void setNOMLINIA(String nOMLINIA) {
        this.nOMLINIA = nOMLINIA;
    }

    public String getDESCLINIA() {
        return dESCLINIA;
    }

    public void setDESCLINIA(String dESCLINIA) {
        this.dESCLINIA = dESCLINIA;
    }

    public String getORIGENLINIA() {
        return oRIGENLINIA;
    }

    public void setORIGENLINIA(String oRIGENLINIA) {
        this.oRIGENLINIA = oRIGENLINIA;
    }

    public String getDESTILINIA() {
        return dESTILINIA;
    }

    public void setDESTILINIA(String dESTILINIA) {
        this.dESTILINIA = dESTILINIA;
    }

    public Integer getNUMPAQUETS() {
        return nUMPAQUETS;
    }

    public void setNUMPAQUETS(Integer nUMPAQUETS) {
        this.nUMPAQUETS = nUMPAQUETS;
    }

    public Integer getIDOPERADOR() {
        return iDOPERADOR;
    }

    public void setIDOPERADOR(Integer iDOPERADOR) {
        this.iDOPERADOR = iDOPERADOR;
    }

    public String getNOMOPERADOR() {
        return nOMOPERADOR;
    }

    public void setNOMOPERADOR(String nOMOPERADOR) {
        this.nOMOPERADOR = nOMOPERADOR;
    }

    public String getNOMTIPUSTRANSPORT() {
        return nOMTIPUSTRANSPORT;
    }

    public void setNOMTIPUSTRANSPORT(String nOMTIPUSTRANSPORT) {
        this.nOMTIPUSTRANSPORT = nOMTIPUSTRANSPORT;
    }

    public Integer getCODIFAMILIA() {
        return cODIFAMILIA;
    }

    public void setCODIFAMILIA(Integer cODIFAMILIA) {
        this.cODIFAMILIA = cODIFAMILIA;
    }

    public String getNOMFAMILIA() {
        return nOMFAMILIA;
    }

    public void setNOMFAMILIA(String nOMFAMILIA) {
        this.nOMFAMILIA = nOMFAMILIA;
    }

    public Integer getORDREFAMILIA() {
        return oRDREFAMILIA;
    }

    public void setORDREFAMILIA(Integer oRDREFAMILIA) {
        this.oRDREFAMILIA = oRDREFAMILIA;
    }

    public Integer getORDRELINIA() {
        return oRDRELINIA;
    }

    public void setORDRELINIA(Integer oRDRELINIA) {
        this.oRDRELINIA = oRDRELINIA;
    }

    public String getCODITIPUSCALENDARI() {
        return cODITIPUSCALENDARI;
    }

    public void setCODITIPUSCALENDARI(String cODITIPUSCALENDARI) {
        this.cODITIPUSCALENDARI = cODITIPUSCALENDARI;
    }

    public String getNOMTIPUSCALENDARI() {
        return nOMTIPUSCALENDARI;
    }

    public void setNOMTIPUSCALENDARI(String nOMTIPUSCALENDARI) {
        this.nOMTIPUSCALENDARI = nOMTIPUSCALENDARI;
    }

    public String getDATA() {
        return dATA;
    }

    public void setDATA(String dATA) {
        this.dATA = dATA;
    }

    public String getCOLORLINIA() {
        return cOLORLINIA;
    }

    public void setCOLORLINIA(String cOLORLINIA) {
        this.cOLORLINIA = cOLORLINIA;
    }

    public String getCOLORAUXLINIA() {
        return cOLORAUXLINIA;
    }

    public void setCOLORAUXLINIA(String cOLORAUXLINIA) {
        this.cOLORAUXLINIA = cOLORAUXLINIA;
    }

    public String getCOLORTEXTLINIA() {
        return cOLORTEXTLINIA;
    }

    public void setCOLORTEXTLINIA(String cOLORTEXTLINIA) {
        this.cOLORTEXTLINIA = cOLORTEXTLINIA;
    }

}