package jimenezcarlos.android.uoc.edu.rest.model.TMBTransitAPI;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class StationProperties {

    @SerializedName("ID_ESTACIO_LINIA")
    @Expose
    private Integer iDESTACIOLINIA;
    @SerializedName("CODI_ESTACIO_LINIA")
    @Expose
    private Integer cODIESTACIOLINIA;
    @SerializedName("CODI_GRUP_ESTACIO")
    @Expose
    private Integer cODIGRUPESTACIO;
    @SerializedName("ID_ESTACIO")
    @Expose
    private Integer iDESTACIO;
    @SerializedName("CODI_ESTACIO")
    @Expose
    private Integer cODIESTACIO;
    @SerializedName("NOM_ESTACIO")
    @Expose
    private String nOMESTACIO;
    @SerializedName("ORDRE_ESTACIO")
    @Expose
    private Integer oRDREESTACIO;
    @SerializedName("ID_LINIA")
    @Expose
    private Integer iDLINIA;
    @SerializedName("CODI_LINIA")
    @Expose
    private Integer cODILINIA;
    @SerializedName("NOM_LINIA")
    @Expose
    private String nOMLINIA;
    @SerializedName("ORDRE_LINIA")
    @Expose
    private Integer oRDRELINIA;
    @SerializedName("ID_TIPUS_SERVEI")
    @Expose
    private Integer iDTIPUSSERVEI;
    @SerializedName("DESC_SERVEI")
    @Expose
    private String dESCSERVEI;
    @SerializedName("ORIGEN_SERVEI")
    @Expose
    private String oRIGENSERVEI;
    @SerializedName("DESTI_SERVEI")
    @Expose
    private String dESTISERVEI;
    @SerializedName("ID_TIPUS_ACCESSIBILITAT")
    @Expose
    private Integer iDTIPUSACCESSIBILITAT;
    @SerializedName("NOM_TIPUS_ACCESSIBILITAT")
    @Expose
    private String nOMTIPUSACCESSIBILITAT;
    @SerializedName("DATA_INAUGURACIO")
    @Expose
    private String dATAINAUGURACIO;
    @SerializedName("DATA")
    @Expose
    private String dATA;
    @SerializedName("COLOR_LINIA")
    @Expose
    private String cOLORLINIA;
    @SerializedName("PICTO")
    @Expose
    private String pICTO;
    @SerializedName("PICTO_GRUP")
    @Expose
    private String pICTOGRUP;
    @SerializedName("ID_TIPUS_ESTAT")
    @Expose
    private Integer iDTIPUSESTAT;
    @SerializedName("NOM_TIPUS_ESTAT")
    @Expose
    private String nOMTIPUSESTAT;

    /**
     * No args constructor for use in serialization
     *
     */
    public StationProperties() {
    }

    /**
     *
     * @param oRIGENSERVEI
     * @param dATA
     * @param iDTIPUSESTAT
     * @param cODILINIA
     * @param nOMTIPUSESTAT
     * @param iDLINIA
     * @param pICTO
     * @param iDESTACIOLINIA
     * @param dATAINAUGURACIO
     * @param cODIGRUPESTACIO
     * @param oRDREESTACIO
     * @param iDTIPUSACCESSIBILITAT
     * @param cOLORLINIA
     * @param cODIESTACIO
     * @param dESCSERVEI
     * @param dESTISERVEI
     * @param iDTIPUSSERVEI
     * @param pICTOGRUP
     * @param cODIESTACIOLINIA
     * @param nOMESTACIO
     * @param oRDRELINIA
     * @param nOMLINIA
     * @param nOMTIPUSACCESSIBILITAT
     * @param iDESTACIO
     */
    public StationProperties(Integer iDESTACIOLINIA, Integer cODIESTACIOLINIA, Integer cODIGRUPESTACIO, Integer iDESTACIO, Integer cODIESTACIO, String nOMESTACIO, Integer oRDREESTACIO, Integer iDLINIA, Integer cODILINIA, String nOMLINIA, Integer oRDRELINIA, Integer iDTIPUSSERVEI, String dESCSERVEI, String oRIGENSERVEI, String dESTISERVEI, Integer iDTIPUSACCESSIBILITAT, String nOMTIPUSACCESSIBILITAT, String dATAINAUGURACIO, String dATA, String cOLORLINIA, String pICTO, String pICTOGRUP, Integer iDTIPUSESTAT, String nOMTIPUSESTAT) {
        super();
        this.iDESTACIOLINIA = iDESTACIOLINIA;
        this.cODIESTACIOLINIA = cODIESTACIOLINIA;
        this.cODIGRUPESTACIO = cODIGRUPESTACIO;
        this.iDESTACIO = iDESTACIO;
        this.cODIESTACIO = cODIESTACIO;
        this.nOMESTACIO = nOMESTACIO;
        this.oRDREESTACIO = oRDREESTACIO;
        this.iDLINIA = iDLINIA;
        this.cODILINIA = cODILINIA;
        this.nOMLINIA = nOMLINIA;
        this.oRDRELINIA = oRDRELINIA;
        this.iDTIPUSSERVEI = iDTIPUSSERVEI;
        this.dESCSERVEI = dESCSERVEI;
        this.oRIGENSERVEI = oRIGENSERVEI;
        this.dESTISERVEI = dESTISERVEI;
        this.iDTIPUSACCESSIBILITAT = iDTIPUSACCESSIBILITAT;
        this.nOMTIPUSACCESSIBILITAT = nOMTIPUSACCESSIBILITAT;
        this.dATAINAUGURACIO = dATAINAUGURACIO;
        this.dATA = dATA;
        this.cOLORLINIA = cOLORLINIA;
        this.pICTO = pICTO;
        this.pICTOGRUP = pICTOGRUP;
        this.iDTIPUSESTAT = iDTIPUSESTAT;
        this.nOMTIPUSESTAT = nOMTIPUSESTAT;
    }

    public Integer getIDESTACIOLINIA() {
        return iDESTACIOLINIA;
    }

    public void setIDESTACIOLINIA(Integer iDESTACIOLINIA) {
        this.iDESTACIOLINIA = iDESTACIOLINIA;
    }

    public Integer getCODIESTACIOLINIA() {
        return cODIESTACIOLINIA;
    }

    public void setCODIESTACIOLINIA(Integer cODIESTACIOLINIA) {
        this.cODIESTACIOLINIA = cODIESTACIOLINIA;
    }

    public Integer getCODIGRUPESTACIO() {
        return cODIGRUPESTACIO;
    }

    public void setCODIGRUPESTACIO(Integer cODIGRUPESTACIO) {
        this.cODIGRUPESTACIO = cODIGRUPESTACIO;
    }

    public Integer getIDESTACIO() {
        return iDESTACIO;
    }

    public void setIDESTACIO(Integer iDESTACIO) {
        this.iDESTACIO = iDESTACIO;
    }

    public Integer getCODIESTACIO() {
        return cODIESTACIO;
    }

    public void setCODIESTACIO(Integer cODIESTACIO) {
        this.cODIESTACIO = cODIESTACIO;
    }

    public String getNOMESTACIO() {
        return nOMESTACIO;
    }

    public void setNOMESTACIO(String nOMESTACIO) {
        this.nOMESTACIO = nOMESTACIO;
    }

    public Integer getORDREESTACIO() {
        return oRDREESTACIO;
    }

    public void setORDREESTACIO(Integer oRDREESTACIO) {
        this.oRDREESTACIO = oRDREESTACIO;
    }

    public Integer getIDLINIA() {
        return iDLINIA;
    }

    public void setIDLINIA(Integer iDLINIA) {
        this.iDLINIA = iDLINIA;
    }

    public Integer getCODILINIA() {
        return cODILINIA;
    }

    public void setCODILINIA(Integer cODILINIA) {
        this.cODILINIA = cODILINIA;
    }

    public String getNOMLINIA() {
        return nOMLINIA;
    }

    public void setNOMLINIA(String nOMLINIA) {
        this.nOMLINIA = nOMLINIA;
    }

    public Integer getORDRELINIA() {
        return oRDRELINIA;
    }

    public void setORDRELINIA(Integer oRDRELINIA) {
        this.oRDRELINIA = oRDRELINIA;
    }

    public Integer getIDTIPUSSERVEI() {
        return iDTIPUSSERVEI;
    }

    public void setIDTIPUSSERVEI(Integer iDTIPUSSERVEI) {
        this.iDTIPUSSERVEI = iDTIPUSSERVEI;
    }

    public String getDESCSERVEI() {
        return dESCSERVEI;
    }

    public void setDESCSERVEI(String dESCSERVEI) {
        this.dESCSERVEI = dESCSERVEI;
    }

    public String getORIGENSERVEI() {
        return oRIGENSERVEI;
    }

    public void setORIGENSERVEI(String oRIGENSERVEI) {
        this.oRIGENSERVEI = oRIGENSERVEI;
    }

    public String getDESTISERVEI() {
        return dESTISERVEI;
    }

    public void setDESTISERVEI(String dESTISERVEI) {
        this.dESTISERVEI = dESTISERVEI;
    }

    public Integer getIDTIPUSACCESSIBILITAT() {
        return iDTIPUSACCESSIBILITAT;
    }

    public void setIDTIPUSACCESSIBILITAT(Integer iDTIPUSACCESSIBILITAT) {
        this.iDTIPUSACCESSIBILITAT = iDTIPUSACCESSIBILITAT;
    }

    public String getNOMTIPUSACCESSIBILITAT() {
        return nOMTIPUSACCESSIBILITAT;
    }

    public void setNOMTIPUSACCESSIBILITAT(String nOMTIPUSACCESSIBILITAT) {
        this.nOMTIPUSACCESSIBILITAT = nOMTIPUSACCESSIBILITAT;
    }

    public String getDATAINAUGURACIO() {
        return dATAINAUGURACIO;
    }

    public void setDATAINAUGURACIO(String dATAINAUGURACIO) {
        this.dATAINAUGURACIO = dATAINAUGURACIO;
    }

    public String getDATA() {
        return dATA;
    }

    public void setDATA(String dATA) {
        this.dATA = dATA;
    }

    public String getCOLORLINIA() {
        return cOLORLINIA;
    }

    public void setCOLORLINIA(String cOLORLINIA) {
        this.cOLORLINIA = cOLORLINIA;
    }

    public String getPICTO() {
        return pICTO;
    }

    public void setPICTO(String pICTO) {
        this.pICTO = pICTO;
    }

    public String getPICTOGRUP() {
        return pICTOGRUP;
    }

    public void setPICTOGRUP(String pICTOGRUP) {
        this.pICTOGRUP = pICTOGRUP;
    }

    public Integer getIDTIPUSESTAT() {
        return iDTIPUSESTAT;
    }

    public void setIDTIPUSESTAT(Integer iDTIPUSESTAT) {
        this.iDTIPUSESTAT = iDTIPUSESTAT;
    }

    public String getNOMTIPUSESTAT() {
        return nOMTIPUSESTAT;
    }

    public void setNOMTIPUSESTAT(String nOMTIPUSESTAT) {
        this.nOMTIPUSESTAT = nOMTIPUSESTAT;
    }

}