package jimenezcarlos.android.uoc.edu.rest.model.TMBTransitAPI;

import java.util.List;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class TMBTransitStationsInLineAPIResponse {

    @SerializedName("type")
    @Expose
    private String type;
    @SerializedName("features")
    @Expose
    private List<StationFeature> features = null;
    @SerializedName("totalFeatures")
    @Expose
    private Integer totalFeatures;
    @SerializedName("numberMatched")
    @Expose
    private Integer numberMatched;
    @SerializedName("numberReturned")
    @Expose
    private Integer numberReturned;
    @SerializedName("timeStamp")
    @Expose
    private String timeStamp;
    @SerializedName("crs")
    @Expose
    private Crs crs;

    /**
     * No args constructor for use in serialization
     *
     */
    public TMBTransitStationsInLineAPIResponse() {
    }

    /**
     *
     * @param timeStamp
     * @param features
     * @param totalFeatures
     * @param crs
     * @param numberReturned
     * @param type
     * @param numberMatched
     */
    public TMBTransitStationsInLineAPIResponse(String type, List<StationFeature> features, Integer totalFeatures, Integer numberMatched, Integer numberReturned, String timeStamp, Crs crs) {
        super();
        this.type = type;
        this.features = features;
        this.totalFeatures = totalFeatures;
        this.numberMatched = numberMatched;
        this.numberReturned = numberReturned;
        this.timeStamp = timeStamp;
        this.crs = crs;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<StationFeature> getFeatures() {
        return features;
    }

    public void setFeatures(List<StationFeature> features) {
        this.features = features;
    }

    public Integer getTotalFeatures() {
        return totalFeatures;
    }

    public void setTotalFeatures(Integer totalFeatures) {
        this.totalFeatures = totalFeatures;
    }

    public Integer getNumberMatched() {
        return numberMatched;
    }

    public void setNumberMatched(Integer numberMatched) {
        this.numberMatched = numberMatched;
    }

    public Integer getNumberReturned() {
        return numberReturned;
    }

    public void setNumberReturned(Integer numberReturned) {
        this.numberReturned = numberReturned;
    }

    public String getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    public Crs getCrs() {
        return crs;
    }

    public void setCrs(Crs crs) {
        this.crs = crs;
    }

}