package jimenezcarlos.android.uoc.edu.util;


import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import jimenezcarlos.android.uoc.edu.camina.AchievementsBadgesFragment;
import jimenezcarlos.android.uoc.edu.camina.AchievementsRecordsFragment;
import jimenezcarlos.android.uoc.edu.camina.StatisticsDayFragment;
import jimenezcarlos.android.uoc.edu.camina.StatisticsMonthFragment;
import jimenezcarlos.android.uoc.edu.camina.StatisticsTotalFragment;

public class AchievementsPageAdapter extends FragmentPagerAdapter {

    private int numOfTabs;

    public AchievementsPageAdapter(FragmentManager fm, int numOfTabs) {
        super(fm);
        this.numOfTabs = numOfTabs;
    }

    @Override
    public Fragment getItem(int position) {
        switch (position) {
            case 0:
                return new AchievementsRecordsFragment();
            case 1:
                return new AchievementsBadgesFragment();
            default:
                return null;
        }
    }

    @Override
    public int getCount() {
        return numOfTabs;
    }
}