package jimenezcarlos.android.uoc.edu.util;


import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import jimenezcarlos.android.uoc.edu.camina.ClassificationFragment;

public class ClassificationPageAdapter extends FragmentPagerAdapter {

    public static final String MONTH = "month";
    public static final String TOTAL = "total";

    private int numOfTabs;

    public ClassificationPageAdapter(FragmentManager fm, int numOfTabs) {
        super(fm);
        this.numOfTabs = numOfTabs;
    }

    @Override
    public Fragment getItem(int position) {
        switch (position) {
            case 0:
                return ClassificationFragment.newInstance(MONTH);
            case 1:
                return ClassificationFragment.newInstance(TOTAL);
            default:
                return null;
        }
    }

    @Override
    public int getCount() {
        return numOfTabs;
    }
}